<div class="mt-4 rounded border border-2 w-100 p-4 mt-4">

    <mat-stepper  [linear]="true" #stepper>
        <mat-step [stepControl]="form1">
          <form [formGroup]="form1">
            <ng-template matStepLabel>Primera Página</ng-template>
            <div class="row">
                <div class="col-md-6">                
                    
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label >Expediente : </mat-label>               
                        <input matInput
                               type="text"
                               placeholder="Expediente"
                               formControlName="expediente"
                               >            
                       
                        <mat-error *ngIf="form1.controls['expediente'].hasError('required')"
                                   class="form-control-feedback">
                            Expediente es requerido
                        </mat-error>
                    </mat-form-field>
                </div>          
    
            
            </div>
           
            <div class="row">
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Tiempo : </mat-label>                       
                        <mat-select formControlName="tiempo" >
                            <mat-option value="">-- Seleccione el tiempo --</mat-option>
                            <mat-option value="1">Periódico</mat-option> 
                            <mat-option value="2">Transitorio</mat-option>                       
                        </mat-select>
                    </mat-form-field>
                </div>   
                <div class="col-md-3">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Fecha de Inicio</mat-label>
                        <input matInput readonly [matDatepicker]="picker"
                            (dateChange)="onDateChange($event)"
                            placeholder="Fecha de Inicio"
                            formControlName="fecha_inicio">                               
                       
                        <mat-datepicker-toggle matSuffix [for]="picker">                           
                          </mat-datepicker-toggle>
                          <mat-datepicker #picker></mat-datepicker>
                        <mat-error *ngIf="form1.controls['fecha_inicio'].hasError('required')"
                                   class="form1-control-feedback">
                            Fecha de Inicio es requerida
                        </mat-error>
                       
                    </mat-form-field>
                   
                </div>
                <div class="col-md-3">
                    <mat-form-field appearance="fill" [style.width.%]="100">
                        <mat-label>Fecha de Término</mat-label>
                        <input matInput readonly [matDatepicker]="picker2"                          
                            placeholder="Fecha de Término"
                            formControlName="fecha_termino">                               
                       
                        <mat-datepicker-toggle matSuffix [for]="picker2">                           
                          </mat-datepicker-toggle>
                          <mat-datepicker #picker2></mat-datepicker>       
                       
                        <mat-error *ngIf="form1.controls['fecha_termino'].hasError('required')"
                                   class="form1-control-feedback">
                            Fecha de Término es requerida
                        </mat-error>
                       
                    </mat-form-field>
                </div>
                
            </div>
            <div class="row">            
                <div class="col-md-6">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Tipo de Publicidad : </mat-label>                       
                        <mat-select formControlName="tipo_publicidad"
                            (valueChange)="LimpiarTabla()">
                            <mat-option value="0">-- Seleccione tipo de Publicidad --</mat-option>
                            <mat-option *ngFor="let publicidad of TipoPublicidades" value="{{publicidad.idtipopublicidad}}">{{publicidad.descripcion}}</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                          
            </div>        
            
            <div class="row mt-3">
                <div class="col-md-6">

                </div>
                <div class="col-md-6 d-flex justify-content-end">
                    <button mat-button matStepperNext color="info">Siguiente</button>
                </div>
            </div>     
          </form>
        </mat-step>
        <mat-step [stepControl]="form2">
          <form [formGroup]="form2">
            <ng-template matStepLabel>Segunda Página</ng-template>
            <div class="row">            
                <div class="col-md-6">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Tipo de Trámite : </mat-label>                       
                        <mat-select formControlName="tipo_tramite" >
                            <mat-option value="0">-- Seleccione tipo de Trámite --</mat-option>
                            <mat-option *ngFor="let tramite of TipoTramites" value="{{tramite.idtipotramite}}">{{tramite.descripcion}}</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
    
               
            </div>
            <div class="row">
                <mat-card class="example-card">
                    <mat-card-title>Requisitos</mat-card-title>
                    <mat-card-content>
                        <div class="row" *ngFor="let requisito of Requisitos;let i=index">
                            <div class="col-md-5 mb-3">
                                {{requisito.descripcion}}
                            </div>
                            <div class="col-md-1" *ngIf="!requisito.error"></div>
                            <div class="col-md-1 mb-3" *ngIf="requisito.error">
                                <mat-error class="form-control-feedback">*Error*</mat-error>
                            </div>            
                            <div class="col-md-6 mb-3">                                                   
                                <input type="file" class="fileControlInput"                                    
                                    placeholder="Cargar Archivo"
                                    accept="application/pdf"
                                    (change)="onFileChange(i, $event)" required>                                    
                            </div>
                           
                        </div> 
                    </mat-card-content>
                </mat-card>        
            </div>                  
                 
            <div class="row mt-3">
                <div class="col-md-6 d-flex justify-content-start">
                    <button mat-button matStepperPrevious color="info">Anterior</button>
                </div>
                <div class="col-md-6 d-flex justify-content-end">
                    <button mat-button matStepperNext color="info">Siguiente </button>
                </div>
            </div>     
            
          </form>
        </mat-step>
        <mat-step [stepControl]="form3" >
            <form [formGroup]="form3">
                <ng-template matStepLabel>Finalizar</ng-template>
                <mat-card class="example-card">
                    <mat-card-title>Dirección de la Publicidad</mat-card-title>
                    <mat-card-content>
                        <div class="row">
                            <div class="col-md-7">
                                <mat-form-field class="w-100" appearance="fill">                        
                                    <input matInput
                                        type="text"                                
                                        placeholder="Direccion"
                                        formControlName="direccion">
                                </mat-form-field> 
                            </div>
                            <div class="col-md-3">
                                <mat-form-field class="w-100" appearance="fill">
                                    <mat-label>Tipo Vía : </mat-label>                       
                                    <mat-select formControlName="tipovia" >
                                        <mat-option value="">-- Seleccione tipo Vía --</mat-option>
                                        <mat-option value="Principales">Principales</mat-option> 
                                        <mat-option value="Secundarias">Secundarias</mat-option>                       
                                    </mat-select>
                                </mat-form-field>
                            </div>
                            
                            <div class="col-md-2">
                                <mat-form-field class="w-100" appearance="fill">
                                    <mat-label>Zona : </mat-label>                       
                                    <mat-select formControlName="zona" >
                                        <mat-option value="">-- Seleccione Zona --</mat-option>
                                        <mat-option value="Z1">Z1</mat-option> 
                                        <mat-option value="Z2">Z2</mat-option>
                                        <mat-option value="Z3">Z3</mat-option> 
                                        <mat-option value="Z4">Z4</mat-option> 
                                        <mat-option value="Z5">Z5</mat-option> 
                                    </mat-select>
                                </mat-form-field>
                            </div>   
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Largo (mts) : </mat-label>
                                    <input matInput type="number" formControlName="largo" class="example-right-align" placeholder="0" >
                                </mat-form-field>
                            </div>
                            <div class="col-md-3">
                                <mat-form-field appearance="fill" [style.width.%]="100">
                                    <mat-label>Alto (mts) : </mat-label>
                                    <input matInput type="number" formControlName="alto" class="example-right-align" placeholder="0" >
                                </mat-form-field>
                            </div>
                            <div class="col-md-3">
                                <button mat-button hidden="true" color="info" (click)="openDialog()">Ubicar en el Mapa</button>
                            </div>                     
                            <div class="col-md-3">
                                <button mat-button color="primary"
                                    class="btn btn-primary"
                                    (click)="adjuntarPublicidad()">Adjuntar</button>
                            </div>
                        </div>
                    </mat-card-content>                   
                </mat-card>
               
                <div class="row">
                    <perfect-scrollbar>
                        <mat-table [dataSource]="dataSource" matSort class="vertical-fit">
                          
                            <ng-container matColumnDef="tipovia">
                                <mat-header-cell *matHeaderCellDef> Tipo Vía </mat-header-cell>
                                <mat-cell *matCellDef="let element"> {{element.tipovia}} </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="direccion">
                                <mat-header-cell *matHeaderCellDef> Direccion </mat-header-cell>
                                <mat-cell *matCellDef="let element"> {{element.direccion}} </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="zona">
                                <mat-header-cell *matHeaderCellDef> Zona </mat-header-cell>
                                <mat-cell *matCellDef="let element"> {{element.zona}} </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="largo">
                                <mat-header-cell *matHeaderCellDef> Largo </mat-header-cell>
                                <mat-cell *matCellDef="let element"> {{element.largo}} </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="alto">
                                <mat-header-cell *matHeaderCellDef> Alto </mat-header-cell>
                                <mat-cell *matCellDef="let element"> {{element.alto}} </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="monto">
                                <mat-header-cell *matHeaderCellDef> Monto </mat-header-cell>
                                <mat-cell *matCellDef="let element"> {{element.monto | number:'1.2-2'}} </mat-cell>
                            </ng-container>
                            <ng-container matColumnDef="eliminar">
                                <mat-header-cell *matHeaderCellDef mat-sort-header> Eliminar </mat-header-cell>
                                <mat-cell *matCellDef="let element; let i=index">
                                    <button mat-button color="danger"  (click)="eliminarPublicidad(i)">Eliminar</button>
                                </mat-cell>
                            </ng-container>

                            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                             <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                                                   
                        </mat-table>
                    </perfect-scrollbar>
        
                    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
                                               
                </div>
            
                <mat-card class="example-card">
                    <mat-card-title>Material</mat-card-title>
                    <mat-card-content>
                        <div class="row mb-3">
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="acero" >Acero</mat-slide-toggle>                            
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="papel" >Papel</mat-slide-toggle>
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="aluminio" >Aluminio</mat-slide-toggle>
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="acrilico" >Acrílico</mat-slide-toggle>
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="madera" >Madera</mat-slide-toggle>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="carton" >Cartón</mat-slide-toggle>                            
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="plastico" >Plástico</mat-slide-toggle>
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="lona" >Lona</mat-slide-toggle>
                            </div>
                            <div class="col-md-2">
                                <mat-slide-toggle formControlName="tela" >Tela</mat-slide-toggle>
                            </div>
                            <div class="col-md-4">
                                <mat-form-field class="w-100" appearance="fill">                        
                                    <input matInput
                                        formControlName="otro" 
                                        type="text"                                
                                        placeholder="Otro">
                                </mat-form-field> 
                            </div>        
                        </div>
                    </mat-card-content>
                </mat-card>

                <div class="row mt-3">
                    <div class="col-md-4 d-flex justify-content-end">
                        <button mat-button matStepperPrevious color="info">Anterior</button>
                    </div>
                    <div class="col-md-4 d-flex justify-content-center">
                        <button mat-button color="info" (click)="stepper.reset()">Resetear</button>
                    </div>
                    <div class="col-md-4 d-flex justify-content-end">
                        <button mat-button color="primary" (click)="guardar()" >Registrar y Guardar</button>                    
                    </div>
                </div>  
                  
              
            </form>
        </mat-step>
      </mat-stepper>
    
</div>
